import { ElementFinder } from "protractor";
import { Atom } from "../../atom";
import { PopupAtom } from "../popup/popup.atom";
export declare class PaginatorAtom extends Atom {
    static CSS_CLASS: string;
    popup: PopupAtom;
    private prevNextClass;
    private total;
    constructor(rootElement: ElementFinder);
    getStatusText(): Promise<string>;
    setItemsPerPage(itemsPerPage: number): Promise<void>;
    getItemsRange: () => Promise<string>;
    pageLinkClick(pageNumber: number): Promise<void>;
    pageLinkVisible(pageNumber: number): Promise<boolean>;
    ellipsedPageLinkClick(pageNumber: number): Promise<void>;
    ellipsisLink(index: number): ElementFinder;
    ellipsisLinkClick: (index: number) => Promise<void>;
    ellipsisLinkDisplayed(index: number): Promise<boolean>;
    prevLink(): ElementFinder;
    nextLink(): ElementFinder;
    arePrevNextLinksDisplayed(): Promise<boolean>;
    activePage(): Promise<number>;
    isActivePage: (page: number) => Promise<boolean>;
    pageCount(): Promise<number>;
    ellipsisHasTopClass(): Promise<boolean>;
    itemsDispHasTopClass(): Promise<boolean>;
    getTotal(): Promise<number>;
    getPageNumberButton(pageNumber: string): ElementFinder;
}
